## enki-2.0.tar.bz2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(enki)

add_subdirectory(enki)
add_subdirectory(examples)
add_subdirectory(viewer)
