=== debian/changelog ===
libenki (1.9-svn155) lucid; urgency=low

  * Deb pre-release

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Mon, 30 Apr 2012 16:04:56 +0200
