=== debian/control ===
Source:libenki
Maintainer: Stephane Magnenat <stephane@nospam.magnenant.net>
Section:devel
Priority:optional
Standards-Version: 3.7.2
Build-Depends: cmake (>= 2.6), libqt4-dev, libqt4-opengl-dev

Package:libenki
Architecture: any
Description: Enki is a fast 2D physics-based robot simulator written in C++.
 It is able to simulate cinematics, collisions, sensors and cameras of robots 
 evolving on a flat surface. It also provides limited support for friction.
 It is able to simulate groups of robots hundred times faster than realtime
 on a modern desktop computer.
